#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Unix
%define		pnam	Processors
Summary:	Unix::Processors - interface to processor (CPU) information
Summary(pl.UTF-8):	Unix::Processors - interfejs do informacji o procesorze (CPU)
Name:		perl-Unix-Processors
Version:	2.046
Release:	6
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Unix/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7f90211861d572172d969b9b9798afaa
URL:		http://search.cpan.org/dist/Unix-Processors/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-dirs >= 1.0-7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides accessors to per-processor (CPU) information.
The object is obtained with the Unix::Processors::processors call in a
OS independent manner.

%description -l pl.UTF-8
Ten pakiet udostępnia funkcje dostępowe do informacji o procesorach
(CPU). Ten obiekt jest dostępny poprzez wywołanie
Unix::Processors::processors w sposób niezależny od systemu
operacyjnego.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/Unix/*.pm
%{perl_vendorarch}/Unix/Processors
%dir %{perl_vendorarch}/auto/Unix/Processors
%attr(755,root,root) %{perl_vendorarch}/auto/Unix/Processors/*.so
%{_mandir}/man3/*
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Unix-Processors.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 844506a
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 712eaa8
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> ec2cbb7
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 1086eae
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> e3bb1a5
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 38de9f2
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Wed Aug 29 2018 Marcin Krol <hawk@tld-linux.org> d08dd8f
- updated to 2.046

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 899adfd
- perl req/prov fix
- release 9 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> e6cb8b2
- rebuild with perl 5.26
- release 8 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> a28afe9
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 50bd3be
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> ecfc6f8
- x32 rebuild
- release 5 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> f22aeab
- release 4 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> e10e816
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 522e55d
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> aa28942
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Fri Jul 01 2011 marti <marti@pld-linux.org> 1bc759b
- up to 2.042

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 49529d6
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 8186f06
- release 2

* Sun May 16 2010 sparky <sparky@pld-linux.org> 866a0d9
- someone forgot about bcond name

